package me.yoqi.android.open2share.views;

import android.content.Intent;
import android.os.Build;
import android.os.Bundle;
import android.os.StrictMode;

import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;

import me.yoqi.android.open2share.R;

/** open2share 接受请求
 * @author liuyuqi.gov@msn.cn
 * @createTime 2020-09-28
 */
public class ReceiveActivity extends AppCompatActivity {
    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        StrictMode.VmPolicy.Builder builder=new StrictMode.VmPolicy.Builder();
        StrictMode.setVmPolicy(builder.build());
        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.JELLY_BEAN_MR2) {
            builder.detectFileUriExposure();
        }

        setContentView(R.layout.activity_result);
        Intent sendIntent=new Intent();
        sendIntent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
        sendIntent.addCategory("android.intent.category.DEFAULT");
        sendIntent.putExtra(Intent.EXTRA_STREAM,getIntent().getData());
        sendIntent.setType(getIntent().getType());
        startActivityForResult(Intent.createChooser(sendIntent,"share file"), 1);
    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
        finishActivity(0);
    }

    @Override
    protected void onActivityResult(int requestCode, int resultCode, @Nullable Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        finish();
    }
}